#include <akaxiso/akaxiso.h>
#include <akaxiso/content_model.h>
#include <iostream>

int main() {
  aka::initialize();
  aka::doctype("long_document", xiso::leaf<long>());

  long root = 1;

  {
    aka::xml_serializer ser;
    ser.serialize(root, "long_document", std::cout);
  }

  aka::uninitialize();
}
